Page MenuHomeFreeBSD

Update gaphics/yed to 3.17.2
ClosedPublic

Authored by fernape on Mar 24 2018, 4:53 PM.

Details

Summary

This comes from https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=226882

Update the port. I need to remove the .desktop entry from pkg-plist
since DESKTOP_ENTRIES are added automatically to plist. Otherwise, pkg
complains about a duplicate entry when isntalling the package
and stage-qa fails with:

> Running Q/A tests (stage-qa)

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: share/applications/yed.desktop
===> Error: Plist issues found.

  • Error code 1

Also use ${FALSE} instead of false in DESKTOP_ENTRIES

Poudriere builds available for {10.3,10.4,11.1}{amd64,i386} and 12i386
at:

https://www.dropbox.com/sh/z57sqrdsaosewjh/AAB5bBbx_4wtL8CXVzLySvw9a?dl=0

Test Plan

portlint -AC && poudriere testport

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

fernape created this revision.Mar 24 2018, 4:53 PM

You write

===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: share/applications/yed.desktop

^ this should be fixed :)

fernape edited the summary of this revision. (Show Details)Mar 24 2018, 5:35 PM
tcberner added inline comments.Mar 24 2018, 5:35 PM
graphics/yed/Makefile
5 ↗(On Diff #40699)

^ you could switch this to DISTVERSION as you are already changing the line.

25 ↗(On Diff #40699)

^why the change to ${FALSE}

You write

===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: share/applications/yed.desktop

^ this should be fixed :)

It is. It was not in the original patch submitted in the PR :)

fernape updated this revision to Diff 40704.Mar 24 2018, 6:48 PM

Change PORTVERSION for DISTVERSION.

Suggested by tcberner.

fernape edited the summary of this revision. (Show Details)Mar 24 2018, 6:50 PM
mat added inline comments.Mar 24 2018, 10:32 PM
graphics/yed/Makefile
25 ↗(On Diff #40699)

probably someone doing blindly what portlint says (and it gets it wrong, like so many other things.)

8 ↗(On Diff #40704)

change to DISTVERSION here too.

fernape updated this revision to Diff 40712.Mar 24 2018, 11:12 PM
fernape marked an inline comment as done.
fernape edited the summary of this revision. (Show Details)
  • Use DISTVERSION to compose DISTNAME
  • Revert the use of ${FALSE} in DESKTOP_ENTRIES

New poudriere logs at:
https://www.dropbox.com/sh/kda2qh7km2ufqcm/AAA0OwkglMgMmpSPa8w8-wXka?dl=0

fernape marked 3 inline comments as done.Mar 24 2018, 11:14 PM
fernape added inline comments.
graphics/yed/Makefile
25 ↗(On Diff #40699)

It was suggested by portlint -AC and it was used in other ports in the DESKTOP_ENTRIES line.

mat added inline comments.Mar 26 2018, 3:35 PM
graphics/yed/Makefile
25 ↗(On Diff #40699)

portlint is a static lint tool, it looks at individual pieces, and has no clue of what you want to do with them.

In this case, the sixth field of DESKTOP_ENTRIES can have three possible values, "true", "false", and "". While having ${FALSE} does not cause an error because it contains "false" too, it is incorrect because ${FALSE} points to the shell builtin "false" while DESKTOP_ENTRIES wants a boolean value, true, false, or empty.

tcberner accepted this revision.Mar 27 2018, 5:42 AM
This revision is now accepted and ready to land.Mar 27 2018, 5:42 AM
This revision was automatically updated to reflect the committed changes.